﻿using System;
using System.Windows;
using Infragistics.Windows.DataPresenter;
using System.Collections.ObjectModel;

namespace CustomSummaryCalculator
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        CustomCalculator calculator = new CustomCalculator();
        bool isAdded = false;

        public MainWindow()
        {
            InitializeComponent();
            
            calculator.amount = 200;
            //SummaryCalculator.Register(calculator);
            ObservableCollection<Person> coll = new ObservableCollection<Person>();
            coll.Add(new Person(){ Name = "John", Salary = 50});
            coll.Add(new Person(){ Name = "John", Salary = 50});
            coll.Add(new Person(){ Name = "John", Salary = 50});
            xamDataGrid1.DataSource = coll; 
        }

        private void xamDataGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            if (isAdded == false)
            {
                SummaryDefinition sd = new SummaryDefinition();
                sd.SourceFieldName = "Salary";
                sd.Calculator = calculator;
                this.xamDataGrid1.FieldLayouts[0].SummaryDefinitions.Add(sd);
                isAdded = true;
            }
        }
    }

    public class Person
    {
        public Double Salary { get; set; }
        public String Name { get; set; }
    }
}
